glab(1)

NAME
glab-opentofu-init - Initialize OpenTofu or Terraform.

SYNOPSIS
glab opentofu init [flags]

DESCRIPTION
Initialize OpenTofu or Terraform.

OPTIONS
-b, --binary="tofu"
    Name or path of the OpenTofu or Terraform binary to use for the initialization.

-d, --directory="."
    Directory of the OpenTofu or Terraform project to initialize.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
    # Initialize state with name production in working directory
    glab opentofu init production
    # Initialize state with name production in infra/ directory
    glab opentofu init production -d infra/
    # Initialize state with name production with Terraform
    glab opentofu init production -b terraform
    # Initialize state with name production with reconfiguring state
    glab opentofu init production -- -reconfigure

SEE ALSO
glab-opentofu(1)